<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * * * The content below * * * * * * * * * * * -->
<!-- * * * * * * * * * * is only a placeholder * * * * * * * * * * -->
<!-- * * * * * * * * * * and can be replaced. * * * * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * Delete the template below * * * * * * * * * * -->
<!-- * * * * * * * to get started with your project! * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->

<poc-stepper-lib [childTemplate]="libStepperLib"></poc-stepper-lib>

<ng-template #libStepperLib let-data="steps">
  <p>Step 1 Content</p>
  <div class="row">
    <div class="col-12">
      <mat-form-field appearance="fill">
        <mat-label>Input</mat-label>
        <input matInput>
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-12">
      <mat-form-field appearance="fill">
        <mat-label>Select</mat-label>
        <mat-select class="w-100">
          <mat-option value="one">First option</mat-option>
          <mat-option value="two">Second option</mat-option>
        </mat-select>
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-12">
      <mat-form-field appearance="fill">
        <mat-label>Textarea</mat-label>
        <textarea matInput></textarea>
      </mat-form-field>
    </div>
  </div>
  <div class="row">
    <div class="col-12">
      <ul class="list group-list">
        <li *ngFor="let item of steps">
          {{item.id}} - {{item.name}} <span>{{item.buttons | json}}</span>
        </li>
      </ul>
    </div>
  </div>
</ng-template>
<router-outlet></router-outlet>